// Inclure les bibliothèques pour l'afficheur LCD
#include <Wire.h>
#include "rgb_lcd.h"
// Déclarer l'objet LCD
rgb_lcd lcd;
// Déclarer le numéro des connexions de l'ultrason et la variable pour la durée
int ultrason = 7; // variable nombre entier
long duree; // variable nombre entier long
int ecran = 4;
void setup() {
// Initialisation de l'affichage LCD
lcd.begin(16, 2); // ecran de dimension 16 colonnes et 2 lignes
pinMode(ecran, OUTPUT);
}
void loop() {
// Mesure temps écho - A NE PAS MODIFIER
// Emission
pinMode(ultrason, OUTPUT);
digitalWrite(ultrason, LOW);
delayMicroseconds(2);
digitalWrite(ultrason, HIGH);
delayMicroseconds(5); // valeur conseillée 10μs, à voir
// Réception
digitalWrite(ultrason, LOW);
pinMode(ultrason, INPUT);
duree = pulseIn(ultrason,HIGH)/2; // en microsecondes
// PARTIE MODIFIABLE
// Affichage sur le LCD RGB
lcd.clear(); // efface l’écran lcd
lcd.setCursor(0, 0); // position du curseur colonne zero, ligne zero
lcd.print("Duree : "); // affiche « Duree : »
lcd.print(duree); // affiche la valeur contenu dans la variable temps
lcd.print(" us"); // affiche « us »
delay(1000);
}
